Subject: Re: [bitcoindev] Reiterating centralized coinjoin (Wasabi & Samourai) deanonymization attacks

From: "/dev /fd0" <[email-masked]>
Date: Wed, 12 Feb 2025 15:47:42 +0530

Hi Peter,

> Kruw's coordinator does not charge a coordinator fee.

> Due to how Wasabi coinjoins work, coinjoins will almost always have some
> small amount of sats left over that didn't decompose into standard
> denominations after the transaction fee is paid. Those sats go to the
> coordinator. The amounts involved are tiny, always less than the
> transaction fee, as you can easily see on https://liquisabi.com/

Liquisabi does not calculate all the [coordinator earnings][0]. We can only
estimate and would never know the exact earnings. Even if the amount is
small, marketing it as 'free' is misleading. Kruw has demonstrated
misunderstandings about wabisabi and has made misleading claims on
bitcointalk threads. I had recently mentioned it in a [thread][1].

[0]:
https://github.com/turbolay/LiquiSabi/blob/ec8db3236cde7378e0240462128369ef04c539e2/LiquiSabi.ApplicationCore/Data/CoinjoinStore.cs#L66-L76
[1]: https://bitcointalk.org/index.php?topic=5482818.msg64878995#msg64878995

Disclaimer: I have built joinstr protocol(coinjoin implementation) and
contributed to wasabi in the past

/dev/fd0
floppy disk guy

On Wed, Feb 5, 2025 at 4:02 AM Peter Todd <[email-masked]> wrote:

> On Tue, Feb 04, 2025 at 03:02:01PM +0100, Yuval Kogman wrote:
>
> I'm going to split this off because this kind of thing isn't relevant to
> the actual technical details of interest to readers of their mailing
> list, and I'll make it easy for the mods to decide whether or not to let
> this part of the discussion through.
>
> > # Conflict of Interest
> >
> > It would have been appropriate for you to disclose that your review is
> > paid for by an interested party as a direct response to accusations I
> > have made:
>
> The supermajority of the people posting on this mailing list are being
> paid for their work. It would be silly to pre-face every single email
> with "sponsored by Foo"; what you are replying to is just an email, not
> my actual review publication, which I have not completed yet.
>
> You yourself appear to be paid to work on the topic of on-chain privacy
> via your employment at Spiral; I don't see you putting disclaimers about
> that.
>
> https://x.com/spiralbtc/status/1704905217974665340
>
> For actual public publications I've made, in recent years I've generally
> said who paid for them and under what terms:
>
> https://petertodd.org/2024/one-shot-replace-by-fee-rate
> https://petertodd.org/2024/covenant-dependent-layer-2-review
> https://petertodd.org/2023/v3-transactions-review
> https://petertodd.org/2023/drivechains#backstory
>
> There's some other material on that blog where payment really isn't
> clear to me and not discussed. E.g. material I (partly) wrote in one
> form for a client and then reworked on my own time to be a blog post.
> And obviously, everything I write is arguably commercial: my full-time
> employment is Bitcoin-related consulting, and publishing is one of the
> main ways I get work.
>
> > - https://archive.is/cbffL
> > - https://archive.is/BJCNG
> >
> > Kruw has described his service as "free" and "trustless", despite earning
> > revenues and despite the issues described here. Supporting evidence for
> > this is in the unedited version of this reply.
>
> Wasabi set the coordinator fee limit to 0% by default in the Jun 2024
> release:
>
> https://github.com/WalletWasabi/WalletWasabi/releases/tag/v2.0.8.1
>
> Kruw's coordinator does not charge a coordinator fee.
>
> Due to how Wasabi coinjoins work, coinjoins will almost always have some
> small amount of sats left over that didn't decompose into standard
> denominations after the transaction fee is paid. Those sats go to the
> coordinator. The amounts involved are tiny, always less than the
> transaction fee, as you can easily see on https://liquisabi.com/
>
> For example,
> b4daaefbd53dd255a4d1507889df52fe1adcc970b5edaea1d9fc2b1c840f7367,
> had 31,407sats of leftovers that went to the coordinator, out of
> 5,459,668,967 sats of outputs and a 104,289 sat transaction fee.
>
>         31,407 / 5,459,668,967 = 0.0006%
>
> I'll let others decide whether or not you're being dishonest by not
> mentioning the tiny amounts involved, while simultanously claiming I'm
> being dishonest by not mentioning in my email that (as usual) I'm
> getting paid to work on this stuff.
>
> In particular, remember that that fees are part of the coinjoin security
> model: we *need* transactions to be costly enough to prevent sybil
> attacks. If anyone with access to coins can just do infinite coinjoin
> transactions at zero cost, we have a potential sybil attack problem.
>
> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/Z6KTD2vvdfsCpVDN%40petertodd.org
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CALiT-Zoj5fd2zK3moMLo%2BS-L8xTyB2qgCNU_ocm_6mce832JcQ%40mail.gmail.com.